ru.bitel.oss.systems.inventory.resource.server.bean

## Class IpResourceDynSubscriptionDao

- java.lang.Object
- - ru.bitel.oss.systems.inventory.resource.server.bean.IpResourceDynSubscriptionDao

-     public class IpResourceDynSubscriptionDao
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpResourceDynSubscriptionDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkTables(java.sql.Connection con, int moduleId)`
    `long` | `free(int ipResourceId, long connectionId, byte[] address, java.util.Date timeTo, int subscriberType, int subscriberId)`
    `java.util.List<IpResourceSubscriptionRuntime>` | `listRuntime(int ipResourceId)`
    `long` | `occupie(int ipResourceId, long connectionId, byte[] address, java.util.Date timeFrom, int subscriberType, int subscriberId, java.lang.String subscriberTitle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IpResourceDynSubscriptionDao

          public IpResourceDynSubscriptionDao(java.sql.Connection con,
                                              int moduleId)

  - ### Method Detail

    - #### occupie

          public long occupie(int ipResourceId,
                              long connectionId,
                              byte[] address,
                              java.util.Date timeFrom,
                              int subscriberType,
                              int subscriberId,
                              java.lang.String subscriberTitle)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### free

          public long free(int ipResourceId,
                           long connectionId,
                           byte[] address,
                           java.util.Date timeTo,
                           int subscriberType,
                           int subscriberId)
                    throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `ipResourceId` -
        `address` -
        `timeTo` -
        `subscriberType` -
        `subscriberId` -
      Returns:
        subscriptionId
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listRuntime

          public java.util.List<IpResourceSubscriptionRuntime> listRuntime(int ipResourceId)
                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkTables

          public static void checkTables(java.sql.Connection con,
                                         int moduleId)